using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class removeTblAihit : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "RawDataEKs",
                schema: "AIHIT");

            migrationBuilder.DropTable(
                name: "Settings",
                schema: "AIHIT");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.EnsureSchema(
                name: "AIHIT");

            migrationBuilder.CreateTable(
                name: "RawDataEKs",
                schema: "AIHIT",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uuid", nullable: false),
                    AIHID = table.Column<int>(type: "integer", nullable: true),
                    APPType = table.Column<string>(type: "text", nullable: true),
                    AdditionalInfo = table.Column<string>(type: "text", nullable: true),
                    CKBSServerType = table.Column<string>(type: "text", nullable: true),
                    CTSDirection = table.Column<string>(type: "text", nullable: true),
                    ClientOS = table.Column<string>(type: "text", nullable: true),
                    ClientSoftware = table.Column<string>(type: "text", nullable: true),
                    Company = table.Column<string>(type: "text", nullable: true),
                    CreateTime = table.Column<string>(type: "text", nullable: true),
                    DBType = table.Column<string>(type: "text", nullable: true),
                    DateCreated = table.Column<DateTimeOffset>(type: "timestamp with time zone", nullable: false),
                    DateModified = table.Column<DateTimeOffset>(type: "timestamp with time zone", nullable: true),
                    EKCategory = table.Column<string>(type: "text", nullable: true),
                    EKFindCode = table.Column<string>(type: "text", nullable: true),
                    EKRegister = table.Column<string>(type: "text", nullable: true),
                    EKRevizor = table.Column<string>(type: "text", nullable: true),
                    EKSubCategory = table.Column<string>(type: "text", nullable: true),
                    EKType = table.Column<string>(type: "text", nullable: true),
                    EndExplotationDate = table.Column<string>(type: "text", nullable: true),
                    FullName = table.Column<string>(type: "text", nullable: true),
                    IBServerType = table.Column<string>(type: "text", nullable: true),
                    IP = table.Column<string>(type: "text", nullable: true),
                    InfrastructureServerType = table.Column<string>(type: "text", nullable: true),
                    IsActive = table.Column<string>(type: "text", nullable: true),
                    IsImportant = table.Column<string>(type: "text", nullable: true),
                    IsUnreliableData = table.Column<char>(type: "character(1)", nullable: true),
                    Location = table.Column<string>(type: "text", nullable: true),
                    Metka = table.Column<string>(type: "text", nullable: true),
                    MonitoringServerType = table.Column<string>(type: "text", nullable: true),
                    NetworkName = table.Column<string>(type: "text", nullable: true),
                    NewEKFindCode = table.Column<string>(type: "text", nullable: true),
                    OSType = table.Column<string>(type: "text", nullable: true),
                    OldEKFindCode = table.Column<string>(type: "text", nullable: true),
                    PlannedTimeToRepair = table.Column<string>(type: "text", nullable: true),
                    Prescription = table.Column<string>(type: "text", nullable: true),
                    ProductCode = table.Column<string>(type: "text", nullable: true),
                    ResponseArea = table.Column<string>(type: "text", nullable: true),
                    ResponsibleByEK = table.Column<string>(type: "text", nullable: true),
                    ServiceCode = table.Column<string>(type: "text", nullable: true),
                    ShiftWorkGroup = table.Column<string>(type: "text", nullable: true),
                    ShortName = table.Column<string>(type: "text", nullable: true),
                    StartExplotationDate = table.Column<string>(type: "text", nullable: true),
                    Status = table.Column<string>(type: "text", nullable: true),
                    SysModTime = table.Column<string>(type: "text", nullable: true),
                    SysModUser = table.Column<string>(type: "text", nullable: true),
                    TargetRepairTime = table.Column<string>(type: "text", nullable: true),
                    WorkGroup = table.Column<string>(type: "text", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_RawDataEKs", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "Settings",
                schema: "AIHIT",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uuid", nullable: false),
                    DateCreated = table.Column<DateTimeOffset>(type: "timestamp with time zone", nullable: false),
                    DateModified = table.Column<DateTimeOffset>(type: "timestamp with time zone", nullable: true),
                    Description = table.Column<string>(type: "text", nullable: true),
                    Group = table.Column<string>(type: "text", nullable: true),
                    Name = table.Column<string>(type: "text", nullable: false),
                    Value = table.Column<string>(type: "text", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Settings", x => x.Id);
                });

            migrationBuilder.InsertData(
                schema: "AIHIT",
                table: "Settings",
                columns: new[] { "Id", "DateCreated", "DateModified", "Description", "Group", "Name", "Value" },
                values: new object[,]
                {
                    { new Guid("17efaf65-ae8c-45f1-b187-e6cb1bd6385b"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "КЛГ", "10-КЛГ" },
                    { new Guid("1943a65c-2060-4b5f-af1f-acec74835481"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ЮВСТ", "58-ЮВСТ" },
                    { new Guid("1fd43634-4a06-4237-9727-edfa6f3eebe8"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ДВС", "96-ДВС" },
                    { new Guid("42a2ec03-da3a-45fc-971e-399910fdc5ae"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ОКТ", "01-ОКТ" },
                    { new Guid("4d9ef2ee-d4fa-4d28-a93b-6f1fd0a639f9"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ПРИВ", "61-ПРИВ" },
                    { new Guid("50f66704-4d26-4587-bb1e-dca70c8f4b89"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ЗАБ", "94-ЗАБ" },
                    { new Guid("51270997-20f6-4a61-85ac-64f6b6dd5dc4"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "МСК", "17-МСК" },
                    { new Guid("52ba20ea-4e7a-4500-939b-e2cff563809a"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "СЕВ", "28-СЕВ" },
                    { new Guid("77c73c0a-8e4d-4676-b6e2-6a112f20e346"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Статус актуальных ЭК", "Status", "Exploitation", "3-В эксплуатации" },
                    { new Guid("a8cff6fd-28b7-49f2-a412-9208c10f6516"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ВСИБ", "92-ВСИБ" },
                    { new Guid("b16afd06-605b-499f-9e35-a19586de96b0"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ГВЦ", "00-ГВЦ" },
                    { new Guid("b3c73162-21ea-42f0-b0e1-3c5076176f8a"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "КРАСН", "88-КРАСН" },
                    { new Guid("b94f8c38-e78a-494e-81ba-39e4e902ffcc"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ГОР", "24-ГОР" },
                    { new Guid("c98fb684-ff03-441e-a9c3-ac5071d69857"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ЮУР", "80-ЮУР" },
                    { new Guid("cb9da805-29e9-4e08-b1ed-d4b374920f77"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "СКВ", "51-СКВ" },
                    { new Guid("cc839c48-62bb-46a8-924c-85b5e7a3e245"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "СВРД", "76-СВРД" },
                    { new Guid("f1a54c25-a93a-4fe3-8268-afbcc435b6e9"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "КБШ", "63-КБШ" },
                    { new Guid("f2684a90-6029-4476-bd3d-e713a8a228d6"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Зона ответственности", "ResponsibleArea", "ЗСИБ", "83-ЗСИБ" }
                });
        }
    }
}
